hosting

PATCH /v1/uptime/monitors/{monitor_id}

Pause, resume or rename a monitored address.

Alle hosting Endpunkte

Authentifizierung

Senden Sie einen API-Schlüssel als Bearer-Token. Dieser Endpunkt gibt in der Spezifikation keine spezifische Berechtigung an. Versehen Sie Ihren Schlüssel daher mit den minimal erforderlichen Rechten und prüfen Sie die Antwort, anstatt Annahmen zu treffen.

Dieser Endpunkt erfordert keine Organisations-ID. Ihr Schlüssel identifiziert bereits die zugehörige Organisation, und die Antwort ist entsprechend eingeschränkt.

Ausprobieren

Ersetzen Sie alles in spitzen Klammern durch Ihre eigenen Werte und den Platzhalter für den Schlüssel durch einen Schlüssel aus Ihrem Dashboard.

curl -X PATCH https://api.zinndigital.com/v1/uptime/monitors/{monitor_id} \
  -H "Authorization: Bearer zdk_live_…" \
  -H "Content-Type: application/json" \
  -d '{  }'

Angemeldet? Die API-Konsole in Ihrem Dashboard trägt automatisch Ihre echte Organisations-ID sowie Ihren eigenen Schlüssel ein und führt die Anfrage gegen die Live-API aus, sodass Sie die tatsächliche Antwort sehen können. Öffnen Sie diesen Endpunkt in der API-Konsole

Details

Gated on `uptime.manage`. ⛔ The **URL cannot be changed**: a monitor's Core Web Vitals readings are joined back to it by that canonical string, so a mutable URL would silently re-point a monitor at another address's history. Change an address by deleting the monitor and adding another. Pausing closes any open incident, so a paused monitor cannot accrue an outage out of us not looking.

Parameter

NameTypErforderlichWas es ist
monitor_id (path)stringJa

Anfragekörper

NameTypErforderlichWas es ist
enabledbooleanNeinPause or resume. Pausing closes any open incident.
namestringNein

Antwort

NameTypErforderlichWas es ist
idstringJa
urlstringJa
namestringNein
statestring<unknown, up, down, paused>Ja⛔ `unknown` is a real state and is not a synonym for `up` — it means "not checked yet" and is excluded from every uptime percentage.
enabledbooleanJa
expect_textstringNein
site_idstringNeinSet only when the address happens to be one of this organisation's own sites. Navigation only — the monitor works identically without it, and must, because the product exists to…
last_result_atstringNein
last_up_atstringNein
last_down_atstringNein
created_atstringJa
summaryUptimeSummaryNein
historyUptimeHistoryPoint[]Nein
incidentsUptimeIncident[]Nein
vitalsUptimeVitalsPoint[]Nein
migration_offerUptimeMigrationOfferNein

Fehler, die dieser Endpunkt zurückgeben kann

401 · 403 · 404